### Method

# Gtk CellRenderer get_state

deprecated: 4.10

#### Declaration [src]

    GtkStateFlags
    gtk_cell_renderer_get_state (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      GtkCellRendererState cell_state
    )

#### Description [src]

Translates the cell renderer state to `GtkStateFlags`, based on the cell renderer and widget sensitivity, and the given `GtkCellRenderer`State.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`cell`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`.

  The argument can be `NULL`.

`widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cell_state`

  Type: `GtkCellRendererState`

  Cell renderer state.

#### Return value

Type: `GtkStateFlags`

The widget state flags applying to `cell`.